from django.contrib.auth.models import User
from django.db import models


class FinStatement(models.Model):
    """" Class represents finance statement assigned to the user. """
    statement_id = models.PositiveIntegerField(null=False)
    title = models.CharField(max_length=200, default=None, blank=True, null=True)
    start_date = models.DateField(null=False)
    end_date = models.DateField(null=False)
    payment = models.DecimalField(null=False, default=0, max_digits=10, decimal_places=3)
    price_per_unified_frame = models.DecimalField(null=False, default=0, max_digits=10, decimal_places=3)
    last_statement_payment = models.DecimalField(null=False, default=0, max_digits=10, decimal_places=3)
    user = models.ForeignKey(User, on_delete=models.PROTECT, default=None, blank=True, null=True)
    is_active = models.BooleanField(default=False)

    def __str__(self):
        return '%s: %s' % (self.statement_id, self.title)
